Subject: Re: cherry-pick generates bogus conflicts on removed files

From: Phillip Susi <[email-masked]>
Date: Fri, 18 Oct 2013 09:25:33 -0400

On 10/17/2013 5:14 PM, Junio C Hamano wrote:
> Correct.
> 
> Without inspecting them, you would not know what you would be
> losing by blindly resolving to removal, hence we do not
> auto-resolve "one side removed, the other side changed" to a
> removal.

Even when I specify the "theirs" strategy?  It seems like saying to
unconditionally accept their changes should not generate conflicts.

> That does not need to mean that we should not make it easier for
> the user to say "resolve these 'one side removed, the other side 
> changed' paths to removal".
> 
> "add -u" will be a way to say "Record the changes I made to my 
> working tree files to the index".  So presumably
> 
> rm -f those files that the other branch removed git add -u
> 
> would be one way to do so.  Of course, you can also use "git rm" 
> directly, i.e.
> 
> git rm -f those files that the other branch removed

I have about two dozen such files.  Are you saying I have to
individually remove each one?